#pragma comment(lib,"Tests")

#include <Tests.h>
#include "Point.h"

void main()
{
	point p;
	float x, y;

	printf("Entrer le nom du point : ");
	scanf("%c",&p.nom);
	printf("Entrer le x : ");
	fflush (stdin);
	scanf("%f",&x);
	printf("Entrer le Y : ");
	fflush (stdin);
	scanf("%f",&y);
	p.x=x;
	p.y=y;


	printf("voici le point : %s\n", toString (symetrie(p)));


	puts("Test unitaire de la fonction symétrie\n");

	//Debut du test unitaire pour la fonction symétrie

	Begin("Gestion d'une fonction", "1.0");
	Design("Controle des fonctions de recherche",3);
	Case("Cas ou x=0 et y=0");
	{
		point pt1;
		pt1.nom='B';
		pt1.x=0;
		pt1.y=0;
		Unit("B(0.00,0.00)",toString(symetrie(pt1)));

	}
	Case("Cas ou une des valeur est nulle");
	{
		point pt2;
		pt2.nom='A';
		pt2.x=5;
		pt2.y=0;
		Unit("A(-5.00,0.00)",toString(symetrie(pt2)));
	}
	Case("autres cas");
	{
		point pt3;
		pt3.nom='C';
		pt3.x=5;
		pt3.y=5;
		Unit("C(-5.00,-5.00)",toString(symetrie(pt3)));

	}
	End();


	getchar() ; 

}